<?php
namespace MageWorx\Info\Model\System\Extensions;

/**
 * Interceptor class for @see \MageWorx\Info\Model\System\Extensions
 */
class Interceptor extends \MageWorx\Info\Model\System\Extensions implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\MageWorx\Info\Block\Adminhtml\Extensions $extensionBlock, \Magento\Backend\Block\Context $context, \Magento\Backend\Model\Auth\Session $authSession, \Magento\Framework\View\Helper\Js $jsHelper, array $data = [])
    {
        $this->___init();
        parent::__construct($extensionBlock, $context, $authSession, $jsHelper, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
